## org.eclipse.emf.ecore.util
Class FeatureMapUtil.FeatureFeatureMap

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              org.eclipse.emf.ecore.util.FeatureMapUtil.FeatureEList<FeatureMap.Entry>
                  org.eclipse.emf.ecore.util.FeatureMapUtil.FeatureFeatureMap

All Implemented Interfaces:
  java.lang.Iterable<FeatureMap.Entry>, java.util.Collection<FeatureMap.Entry>, java.util.List<FeatureMap.Entry>, EList<FeatureMap.Entry>, EStructuralFeature.Setting, FeatureMap, FeatureMap.Internal, FeatureMap.Internal.Wrapper, InternalEList<FeatureMap.Entry>, InternalEList.Unsettable<FeatureMap.Entry>

Enclosing class:
  FeatureMapUtil

    public static class FeatureMapUtil.FeatureFeatureMap

extends FeatureMapUtil.FeatureEList<FeatureMap.Entry>
implements FeatureMap.Internal, FeatureMap.Internal.Wrapper

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.FeatureMapUtil.FeatureEList
`FeatureMapUtil.FeatureEList.Basic<E>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.util.FeatureMap.Internal
`FeatureMap.Internal.Wrapper`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.util.FeatureMap
`FeatureMap.Entry, FeatureMap.Internal, FeatureMap.ValueListIterator<E>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.util.InternalEList
`InternalEList.Unsettable<E>`

Field Summary
`protected FeatureMap.Internal.Wrapper` `wrapper`

Fields inherited from class org.eclipse.emf.ecore.util.FeatureMapUtil.FeatureEList
`feature, featureMap`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`FeatureMapUtil.FeatureFeatureMap(EStructuralFeature feature, FeatureMap.Internal featureMap)`

Method Summary
`void` `add(EStructuralFeature feature, int index, java.lang.Object value)`
`boolean` `add(EStructuralFeature feature, java.lang.Object value)`
`void` `add(int index, EStructuralFeature feature, java.lang.Object value)`
`boolean` `addAll(EStructuralFeature feature, java.util.Collection<?> values)`
`boolean` `addAll(EStructuralFeature feature, int index, java.util.Collection<?> values)`
`boolean` `addAll(int index, EStructuralFeature feature, java.util.Collection<?> values)`
`void` `addUnique(EStructuralFeature feature, int index, java.lang.Object object)`
`void` `addUnique(EStructuralFeature feature, java.lang.Object object)`
`NotificationChain` `basicAdd(EStructuralFeature feature, java.lang.Object object, NotificationChain notifications)`
`java.util.Iterator<java.lang.Object>` `basicIterator(EStructuralFeature feature)`
`java.util.List<java.lang.Object>` `basicList(EStructuralFeature feature)`
`java.util.ListIterator<java.lang.Object>` `basicListIterator(EStructuralFeature feature)`
`java.util.ListIterator<java.lang.Object>` `basicListIterator(EStructuralFeature feature, int index)`
`NotificationChain` `basicRemove(EStructuralFeature feature, java.lang.Object object, NotificationChain notifications)`
`void` `clear(EStructuralFeature feature)`
`boolean` `contains(EStructuralFeature feature, java.lang.Object object)`
`boolean` `containsAll(EStructuralFeature feature, java.util.Collection<?> collection)`
`FeatureMap` `featureMap()`
`java.lang.Object` `get(EStructuralFeature feature, boolean resolve)`
`java.lang.Object` `get(EStructuralFeature feature, int index, boolean resolve)`
`EObject` `getEObject()` Returns the object holding a value.
`EStructuralFeature` `getEStructuralFeature(int index)`
`int` `getModCount()`
`java.lang.Object` `getValue(int index)`
`FeatureMap.Internal.Wrapper` `getWrapper()`
`int` `indexOf(EStructuralFeature feature, java.lang.Object object)`
`boolean` `isEmpty(EStructuralFeature feature)`
`boolean` `isSet(EStructuralFeature feature)`
`java.util.Iterator<java.lang.Object>` `iterator(EStructuralFeature feature)`
`int` `lastIndexOf(EStructuralFeature feature, java.lang.Object object)`

`

`<T> EList<T>`

`

`list(EStructuralFeature feature)`

`java.util.ListIterator<java.lang.Object>` `listIterator(EStructuralFeature feature)`
`java.util.ListIterator<java.lang.Object>` `listIterator(EStructuralFeature feature, int index)`
`java.lang.Object` `move(EStructuralFeature feature, int targetIndex, int sourceIndex)`
`void` `move(EStructuralFeature feature, int index, java.lang.Object object)`
`java.lang.Object` `remove(EStructuralFeature feature, int index)`
`boolean` `remove(EStructuralFeature feature, java.lang.Object object)`
`boolean` `removeAll(EStructuralFeature feature, java.util.Collection<?> collection)`
`java.lang.Object` `resolveProxy(EStructuralFeature feature, int entryIndex, int index, java.lang.Object object)`
`boolean` `retainAll(EStructuralFeature feature, java.util.Collection<?> collection)`
`java.lang.Object` `set(EStructuralFeature feature, int index, java.lang.Object object)`
`void` `set(EStructuralFeature feature, java.lang.Object object)`
`EStructuralFeature.Setting` `setting(EStructuralFeature feature)`
`java.lang.Object` `setUnique(EStructuralFeature feature, int index, java.lang.Object object)`
`java.lang.Object` `setValue(int index, java.lang.Object value)`
`void` `setWrapper(FeatureMap.Internal.Wrapper wrapper)`
`int` `size(EStructuralFeature feature)`
`java.lang.Object[]` `toArray(EStructuralFeature feature)`

`

`<T> T[]`

`

`toArray(EStructuralFeature feature, T[] array)`

`void` `unset(EStructuralFeature feature)`
`FeatureMap.ValueListIterator<java.lang.Object>` `valueListIterator()`
`FeatureMap.ValueListIterator<java.lang.Object>` `valueListIterator(int index)`

Methods inherited from class org.eclipse.emf.ecore.util.FeatureMapUtil.FeatureEList

`add, add, addAll, addAll, addAllUnique, addAllUnique, addUnique, addUnique, addUnique, basicAdd, basicGet, basicIterator, basicList, basicListIterator, basicListIterator, basicRemove, clear, contains, containsAll, get, get, getEStructuralFeature, getFeature, getFeatureID, indexOf, isEmpty, isSet, iterator, lastIndexOf, listIterator, listIterator, move, move, remove, remove, removeAll, retainAll, set, set, setUnique, size, toArray, toArray, toString, unset`

Methods inherited from class java.util.AbstractList
`equals, hashCode, removeRange, subList`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.util.FeatureMap.Internal
`addAllUnique, addAllUnique, addUnique`

Methods inherited from interface org.eclipse.emf.common.util.EList
`move, move`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Methods inherited from interface org.eclipse.emf.ecore.util.InternalEList
`addUnique, addUnique, basicAdd, basicGet, basicIterator, basicList, basicListIterator, basicListIterator, basicRemove, setUnique`

Methods inherited from interface org.eclipse.emf.common.util.EList
`move, move`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Methods inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Setting
`get, getEStructuralFeature, isSet, set, unset`

Field Detail

### wrapper

    protected FeatureMap.Internal.Wrapper wrapper

Constructor Detail

### FeatureMapUtil.FeatureFeatureMap

    public FeatureMapUtil.FeatureFeatureMap(EStructuralFeature feature,
                                            FeatureMap.Internal featureMap)

Method Detail

### valueListIterator

    public FeatureMap.ValueListIterator<java.lang.Object> valueListIterator()

  Specified by:
    `valueListIterator` in interface `FeatureMap`

### valueListIterator

    public FeatureMap.ValueListIterator<java.lang.Object> valueListIterator(int index)

  Specified by:
    `valueListIterator` in interface `FeatureMap`

### list

    public <T> EList<T> list(EStructuralFeature feature)

  Specified by:
    `list` in interface `FeatureMap`

### getEStructuralFeature

    public EStructuralFeature getEStructuralFeature(int index)

  Specified by:
    `getEStructuralFeature` in interface `FeatureMap`

### getValue

    public java.lang.Object getValue(int index)

  Specified by:
    `getValue` in interface `FeatureMap`

### setValue

    public java.lang.Object setValue(int index,
                                     java.lang.Object value)

  Specified by:
    `setValue` in interface `FeatureMap`

### add

    public boolean add(EStructuralFeature feature,
                       java.lang.Object value)

  Specified by:
    `add` in interface `FeatureMap`

### add

    public void add(int index,
                    EStructuralFeature feature,
                    java.lang.Object value)

  Specified by:
    `add` in interface `FeatureMap`

### add

    public void add(EStructuralFeature feature,
                    int index,
                    java.lang.Object value)

  Specified by:
    `add` in interface `FeatureMap.Internal`

### addAll

    public boolean addAll(EStructuralFeature feature,
                          java.util.Collection<?> values)

  Specified by:
    `addAll` in interface `FeatureMap`

### addAll

    public boolean addAll(int index,
                          EStructuralFeature feature,
                          java.util.Collection<?> values)

  Specified by:
    `addAll` in interface `FeatureMap`

### addAll

    public boolean addAll(EStructuralFeature feature,
                          int index,
                          java.util.Collection<?> values)

  Specified by:
    `addAll` in interface `FeatureMap.Internal`

### getModCount

    public int getModCount()

  Specified by:
    `getModCount` in interface `FeatureMap.Internal`

### getEObject

    public EObject getEObject()

  Description copied from interface: `EStructuralFeature.Setting`
  Returns the object holding a value.

  Specified by:
    `getEObject` in interface `EStructuralFeature.Setting`
  Specified by:
    `getEObject` in interface `FeatureMap.Internal`
  Overrides:
    `getEObject` in class `FeatureMapUtil.FeatureEList<FeatureMap.Entry>`
  Returns:
    the object holding a value.

### resolveProxy

    public java.lang.Object resolveProxy(EStructuralFeature feature,
                                         int entryIndex,
                                         int index,
                                         java.lang.Object object)

  Specified by:
    `resolveProxy` in interface `FeatureMap.Internal`

### size

    public int size(EStructuralFeature feature)

  Specified by:
    `size` in interface `FeatureMap.Internal`

### isEmpty

    public boolean isEmpty(EStructuralFeature feature)

  Specified by:
    `isEmpty` in interface `FeatureMap.Internal`

### contains

    public boolean contains(EStructuralFeature feature,
                            java.lang.Object object)

  Specified by:
    `contains` in interface `FeatureMap.Internal`

### containsAll

    public boolean containsAll(EStructuralFeature feature,
                               java.util.Collection<?> collection)

  Specified by:
    `containsAll` in interface `FeatureMap.Internal`

### indexOf

    public int indexOf(EStructuralFeature feature,
                       java.lang.Object object)

  Specified by:
    `indexOf` in interface `FeatureMap.Internal`

### lastIndexOf

    public int lastIndexOf(EStructuralFeature feature,
                           java.lang.Object object)

  Specified by:
    `lastIndexOf` in interface `FeatureMap.Internal`

### iterator

    public java.util.Iterator<java.lang.Object> iterator(EStructuralFeature feature)

  Specified by:
    `iterator` in interface `FeatureMap.Internal`

### listIterator

    public java.util.ListIterator<java.lang.Object> listIterator(EStructuralFeature feature)

  Specified by:
    `listIterator` in interface `FeatureMap.Internal`

### listIterator

    public java.util.ListIterator<java.lang.Object> listIterator(EStructuralFeature feature,
                                                                 int index)

  Specified by:
    `listIterator` in interface `FeatureMap.Internal`

### setting

    public EStructuralFeature.Setting setting(EStructuralFeature feature)

  Specified by:
    `setting` in interface `FeatureMap.Internal`

### basicList

    public java.util.List<java.lang.Object> basicList(EStructuralFeature feature)

  Specified by:
    `basicList` in interface `FeatureMap.Internal`

### basicIterator

    public java.util.Iterator<java.lang.Object> basicIterator(EStructuralFeature feature)

  Specified by:
    `basicIterator` in interface `FeatureMap.Internal`

### basicListIterator

    public java.util.ListIterator<java.lang.Object> basicListIterator(EStructuralFeature feature)

  Specified by:
    `basicListIterator` in interface `FeatureMap.Internal`

### basicListIterator

    public java.util.ListIterator<java.lang.Object> basicListIterator(EStructuralFeature feature,
                                                                      int index)

  Specified by:
    `basicListIterator` in interface `FeatureMap.Internal`

### toArray

    public java.lang.Object[] toArray(EStructuralFeature feature)

  Specified by:
    `toArray` in interface `FeatureMap.Internal`

### toArray

    public <T> T[] toArray(EStructuralFeature feature,
                           T[] array)

  Specified by:
    `toArray` in interface `FeatureMap.Internal`

### addUnique

    public void addUnique(EStructuralFeature feature,
                          java.lang.Object object)

  Specified by:
    `addUnique` in interface `FeatureMap.Internal`

### addUnique

    public void addUnique(EStructuralFeature feature,
                          int index,
                          java.lang.Object object)

  Specified by:
    `addUnique` in interface `FeatureMap.Internal`

### basicAdd

    public NotificationChain basicAdd(EStructuralFeature feature,
                                      java.lang.Object object,
                                      NotificationChain notifications)

  Specified by:
    `basicAdd` in interface `FeatureMap.Internal`

### remove

    public boolean remove(EStructuralFeature feature,
                          java.lang.Object object)

  Specified by:
    `remove` in interface `FeatureMap.Internal`

### remove

    public java.lang.Object remove(EStructuralFeature feature,
                                   int index)

  Specified by:
    `remove` in interface `FeatureMap.Internal`

### removeAll

    public boolean removeAll(EStructuralFeature feature,
                             java.util.Collection<?> collection)

  Specified by:
    `removeAll` in interface `FeatureMap.Internal`

### basicRemove

    public NotificationChain basicRemove(EStructuralFeature feature,
                                         java.lang.Object object,
                                         NotificationChain notifications)

  Specified by:
    `basicRemove` in interface `FeatureMap.Internal`

### retainAll

    public boolean retainAll(EStructuralFeature feature,
                             java.util.Collection<?> collection)

  Specified by:
    `retainAll` in interface `FeatureMap.Internal`

### clear

    public void clear(EStructuralFeature feature)

  Specified by:
    `clear` in interface `FeatureMap.Internal`

### move

    public void move(EStructuralFeature feature,
                     int index,
                     java.lang.Object object)

  Specified by:
    `move` in interface `FeatureMap.Internal`

### move

    public java.lang.Object move(EStructuralFeature feature,
                                 int targetIndex,
                                 int sourceIndex)

  Specified by:
    `move` in interface `FeatureMap.Internal`

### get

    public java.lang.Object get(EStructuralFeature feature,
                                boolean resolve)

  Specified by:
    `get` in interface `FeatureMap`

### get

    public java.lang.Object get(EStructuralFeature feature,
                                int index,
                                boolean resolve)

  Specified by:
    `get` in interface `FeatureMap.Internal`

### set

    public void set(EStructuralFeature feature,
                    java.lang.Object object)

  Specified by:
    `set` in interface `FeatureMap`

### set

    public java.lang.Object set(EStructuralFeature feature,
                                int index,
                                java.lang.Object object)

  Specified by:
    `set` in interface `FeatureMap.Internal`

### setUnique

    public java.lang.Object setUnique(EStructuralFeature feature,
                                      int index,
                                      java.lang.Object object)

  Specified by:
    `setUnique` in interface `FeatureMap.Internal`

### isSet

    public boolean isSet(EStructuralFeature feature)

  Specified by:
    `isSet` in interface `FeatureMap`

### unset

    public void unset(EStructuralFeature feature)

  Specified by:
    `unset` in interface `FeatureMap`

### getWrapper

    public FeatureMap.Internal.Wrapper getWrapper()

  Specified by:
    `getWrapper` in interface `FeatureMap.Internal`

### setWrapper

    public void setWrapper(FeatureMap.Internal.Wrapper wrapper)

  Specified by:
    `setWrapper` in interface `FeatureMap.Internal`

### featureMap

    public FeatureMap featureMap()

  Specified by:
    `featureMap` in interface `FeatureMap.Internal.Wrapper`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.